#!/usr/bin/env python

from distutils.core import setup
from os import path

def extract_version():
      with open(path.join('pydtn', '__init__.py')) as f:
            for line in f:
                  if line.startswith('__version__'):
                        return line.split("'")[1]

def extract_requirements():
      with open('requirements.txt') as f:
            return f.read().split('\n')

if __name__ == "__main__":
      setup(name='pydtn',
            description='A delay tolerant network simulator.',
            packages=['pydtn'],
            version=extract_version(),
            install_requires=extract_requirements(),
      )
